$(document).ready(function() {
	bindJsDeleteRecords();
});

function bindJsDeleteRecords() {
	$(document).on('click', '.js-delete-record', function(e) {
		console.log('eee');
		e.preventDefault();
		var link = $(this).attr('href');
		var zaznam = $(this).attr('rel');
		var question = $(this).data('delete-question');
		var info = $(this).data('delete-info');
		$('.popup #do').attr('href',link);

		if(question) {
			$('.js-popup-question').html(question);
		}

		if(info) {
			$('.js-popup-info').html(info);
		}else {
			$('.js-popup-info').html('');
		}

		$('.popup').fadeIn();
		$('.popup .zaznam').text(zaznam);
	});
	$('.popup .popup__message .close, .popup--form .popup__content .close').on('click', function(e) {
		e.preventDefault();
		$('.popup').fadeOut();
		$('body').removeClass('overlayered');
	});
	$('.popup .popup__message #back, .popup--form .popup__content #back').on('click', function(e) {
		e.preventDefault();
		$('.popup').fadeOut();
		$('body').removeClass('overlayered');
	});
}